commit 41488e4bb672569c961f23debc2f7b357491f3a6
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jul 27 00:17:50 2022 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5d984816bfe..b7375eb6cba 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220726
+20220727
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index d563e4ec851..0f27acdb552 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2022-07-26  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-07-26  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103504
+	* interface.c (get_sym_storage_size): Array bounds and character
+	length can only be of integer type.
+
 2022-07-16  Steve Kargl  <kargl@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index a890b7a3548..f862e4d01c4 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-07-26  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-07-26  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103504
+	* gfortran.dg/pr103504.f90: New test.
+
 2022-07-22  Surya Kumari Jangala  <jskumari@linux.vnet.ibm.com>
 
 	Backported from master:

